#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 crypton-conduit
version:              0.2.3
visibility:           public
id:                   crypton-conduit-0.2.3-D6H0Uaw5FjWIV6lKKdtfOo
key:                  crypton-conduit-0.2.3-D6H0Uaw5FjWIV6lKKdtfOo
license:              BSD-3-Clause
copyright:            Vincent Hanquez <vincent@snarc.org>
maintainer:           Sibi Prabakaran <sibi@psibi.in>
author:               Vincent Hanquez <vincent@snarc.org>
stability:            experimental
homepage:             https://github.com/psibi/crypton-conduit
synopsis:             crypton conduit
description:
    Conduit bridge for crypton

    For now only provide a conduit version for hash and hmac, but
    with contribution, this could provide cipher conduits too,
    and probably other things.

category:             Cryptography, Conduit
abi:                  4e7420758d3cbc2e03cb4da71956dc30
exposed:              True
exposed-modules:
    Crypto.Cipher.ChaChaPoly1305.Conduit Crypto.Hash.Conduit
    Crypto.MAC.HMAC.Conduit Crypto.PubKey.ECIES.Conduit

import-dirs:          /usr/lib/ghc-9.0.2/site-local/crypton-conduit-0.2.3
library-dirs:         /usr/lib/ghc-9.0.2/site-local/crypton-conduit-0.2.3
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-crypton-conduit
hs-libraries:         HScrypton-conduit-0.2.3-D6H0Uaw5FjWIV6lKKdtfOo
depends:
    base-4.15.1.0 bytestring-0.10.12.1
    conduit-1.3.5-KE0IxstkAEWI2GLHnbx6kM
    conduit-extra-1.3.6-BwFasH5iYI5FDadSimsq3A
    crypton-0.33-GR3yhmmm2vcKgGYf4UsReY exceptions-0.10.4
    memory-0.17.0-Ba80JGdi30PBt5EgUiQ1Tu
    resourcet-1.2.6-AxGnFNcJUU7HubtKqXQpkz transformers-0.5.6.2

haddock-interfaces:
    /usr/share/doc/haskell-crypton-conduit/html/crypton-conduit.haddock

haddock-html:         /usr/share/doc/haskell-crypton-conduit/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

